Name:           apache-commons-fileupload
Version:        1.3.1
Release:        %mkrel 10
Group:          Development/Java
Summary:        API to work with HTML file upload
License:        ASL 2.0
URL:            http://commons.apache.org/fileupload/
BuildArch:      noarch

Source0:        http://www.apache.org/dist/commons/fileupload/source/commons-fileupload-%{version}-src.tar.gz
Patch0:         CVE-2016-3092.patch

BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(javax.servlet:servlet-api)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.commons:commons-parent:pom:)
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:  mvn(javax.portlet:portlet-api)

%description
The javax.servlet package lacks support for RFC-1867, HTML file
upload.  This package provides a simple to use API for working with
such data.  The scope of this package is to create a package of Java
utility classes to read multipart/form-data within a
javax.servlet.http.HttpServletRequest.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

# -----------------------------------------------------------------------------

%prep
%setup -q -n commons-fileupload-%{version}-src
%patch0 -p1 -b .CVE-2016-3092
sed -i 's/\r//' LICENSE.txt
sed -i 's/\r//' NOTICE.txt

# fix gId
sed -i "s|<groupId>portlet-api</groupId>|<groupId>javax.portlet</groupId>|" pom.xml

# -----------------------------------------------------------------------------

%mvn_file ":{*}" %{name} @1
%mvn_alias : org.apache.commons:

%build
# fix build with generics support
# tests fail to compile because they use an obsolete version of servlet API (2.4)
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt

# -----------------------------------------------------------------------------




%changelog
* Sat Jul 02 2016 daviddavid <daviddavid> 1.3.1-10.mga6
+ Revision: 1038305
- add patch from debian to fix CVE-2016-3092 (mga#18803)

* Wed Mar 02 2016 neoclust <neoclust> 1.3.1-9.mga6
+ Revision: 981852
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1.3.1-8.mga6
+ Revision: 975568
- First rebuild of the java stack
- sync package apache-commons-fileupload with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Jan 08 2015 pterjan <pterjan> 1.3.1-4.mga5
+ Revision: 809249
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 1.3.1-3.mga5
+ Revision: 743518
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.1-2.mga5
+ Revision: 677807
- Mageia 5 Mass Rebuild

* Tue Feb 25 2014 luigiwalser <luigiwalser> 1.3.1-1.mga5
+ Revision: 597134
- 1.3.1 (fixes CVE-2014-0050)

* Tue Dec 31 2013 dmorgan <dmorgan> 1.3-5.mga4
+ Revision: 563647
- Really enable portlet support

* Tue Dec 31 2013 dmorgan <dmorgan> 1.3-4.mga4
+ Revision: 563643
- Rebuild against  portlet-2.0-api

* Mon Oct 21 2013 umeabot <umeabot> 1.3-2.mga4
+ Revision: 537737
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 dmorgan <dmorgan> 1.3-1.mga4
+ Revision: 487568
- New version

* Fri Sep 20 2013 dmorgan <dmorgan> 1.2.2-13.mga4
+ Revision: 482644
- Rebuild against new javapackages

* Wed Sep 18 2013 dmorgan <dmorgan> 1.2.2-12.mga4
+ Revision: 481055
- Disable tests (they use obsolete servlet API 2.4)
- Resolves: rhbz#913878
- Add missing BR: maven-local

* Fri Jan 11 2013 umeabot <umeabot> 1.2.2-10.mga3
+ Revision: 345744
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 dmorgan <dmorgan> 1.2.2-9.mga3
+ Revision: 339848
- Add codehaus-parent as  buildrequire

* Tue Sep 11 2012 dmorgan <dmorgan> 1.2.2-8.mga3
+ Revision: 292355
- Fix deps

* Mon Jul 09 2012 dmorgan <dmorgan> 1.2.2-7.mga3
+ Revision: 269125
- Fix surefire plugin dependency to use new name

* Sun Nov 27 2011 dmorgan <dmorgan> 1.2.2-6.mga2
+ Revision: 172668
- DO not provide jakarta-commons-fileupload

* Fri Sep 23 2011 gil <gil> 1.2.2-5.mga2
+ Revision: 147121
- rebuilt with maven3 and apache-portlet-1.0-api support

* Wed Apr 27 2011 dmorgan <dmorgan> 1.2.2-3.mga1
+ Revision: 92235
- Rebuild after bootstrapping
- imported package apache-commons-fileupload


* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 20 2010 Chris Spike <chris.spike@arcor.de> 1.2.2-1
- Updated to 1.2.2
- Fixed License tag
- tomcat5 -> tomcat6 BRs/Rs
- Fixed wrong EOL encodings

* Thu Jul  8 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.2.1-4
- Add license to javadoc subpackage

* Thu May 20 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.2.1-3
- Added Requires on jpackage-utils for javadoc

* Thu May 20 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.2.1-2
- Rename package (jakarta-commons-fileupload->apache-commons-fileupload)
- Re-did whole spec file

* Wed Jan  6 2010 Mary Ellen Foster <mefoster at gmail.com> - 1:1.2.1-1
- Update to newest version; include Maven metadata

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.0-9.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.0-8.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1:1.0-7.3 
- drop repotag
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1:1.0-7jpp.2
- Autorebuild for GCC 4.3

* Tue Apr 17 2007 Permaine Cheung <pcheung@redhat.com> - 1:1.0-6jpp.2
- Update spec file as per fedora review

* Thu Aug 10 2006 Deepak Bhole <dbhole@redhat.com> - 1:1.0-6jpp.1
- Added missing requirements.

* Thu Aug 10 2006 Karsten Hopp <karsten@redhat.de> 1.0-5jpp_3fc
- Requires(post/postun): coreutils

* Sat Jul 22 2006 Jakub Jelinek <jakub@redhat.com> - 1:1.0-5jpp_2fc
- Rebuilt

* Thu Jul 20 2006 Deepak Bhole <dbhole@redhat.com> - 1:1.0-5jpp_1fc
- Added conditional native compilation.

* Wed Apr 26 2006 Fernando Nasser <fnasser@redhat.com> - 1:1.0-4jpp
- First JPP 1.7 build

* Fri Oct 22 2004 Fernando Nasser <fnasser@redhat.com> - 1:1.0-3jpp
- Patch to build with servletapi5
- Add missing dependency on ant-junit

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 1:1.0-2jpp
- Rebuild with ant-1.6.2

* Sat Jun 28 2003 Ville Skyttä <ville.skytta at iki.fi> - 1:1.0-1jpp
- Update to 1.0.
- Add Epochs to dependencies.
- Nuke beanutils dependency.
- Versionless javadoc dir symlinks.

* Tue Mar 25 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> - 1:1.0-0.beta1.4jpp
- for jpackage-utils 1.5

* Mon Mar 10 2003 Henri Gomez <hgomez@users.sourceforge.net> - 1:1.0-0.beta1.3jpp
- rebuild with correct ant (avoid corrupted archive)

* Fri Mar 07 2003 Henri Gomez <hgomez@users.sourceforge.net> - 1:1.0-0.beta1.2jpp
- replace servlet23 requirement by servlet4api

* Wed Feb 26 2003 Ville Skyttä <ville.skytta at iki.fi> - 1:1.0-0.beta1.1jpp
- Update to 1.0 beta 1 (no code changes from cvs20030115).
- Fix requirements.

* Wed Jan 15 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0-1jpp
- 1.0 (cvs 20030115)
- first jPackage release
